class OverlayManagementModal implements Modal {
  self(): HTMLElement | null {
    return document.getElementById("overlays-menu-container");
  }
  
  visible(): boolean {
    return this.self()?.style.display !== "none";
  }
  
  setVisible(v: boolean): void {
    const modal = this.self();
    if (modal) {
      modal.style.display = v ? "grid" : "none";
    }
  }
  
  constructor() {
    this.setVisible(false);
  }
}